!+ Subroutine to make spectral blocks of type 0.
!
! Method:
!       Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!       Version         Date                    Comment
!       1.0             12-04-95                First Version under RCS
!                                               (J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE MAKE_BLOCK_8(IERR, N_BAND, INDEX_WATER
     &   , N_BAND_CONTINUUM, INDEX_CONTINUUM
     &   )
!
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_spec.ucf'
      INCLUDE 'incl/dimensions_pp.ucf'
      INCLUDE 'incl/def_std_io.icf'
      INCLUDE 'incl/def_pp_io.icf'
      INCLUDE 'incl/continuum.pcf'
      INCLUDE 'incl/continuum.ncf'
      INCLUDE 'incl/error.pcf'
!
!
!     DUMMY ARGUMENTS
      INTEGER	!, INTENT(OUT)
     &     IERR
!             ERROR FLAG
      INTEGER	!, INTENT(IN)
     &     N_BAND
!             NUMBER OF BANDS
     &   , INDEX_WATER
!             INDEX OF WATER
!
!
!     LOCAL VARIABLES
!
      LOGICAL
     &     LOCK_CODE
!             LOGICAL TO FORBID INTERACTIVE LOOPING
      EXTERNAL
     &     LOCK_CODE
!
      CHARACTER
     &     PROMPT*33
!             PROMPT FOR INPUT
      INTEGER
     &     I
!             LOOP VARIABLE
     &   , J
!             LOOP VARIABLE
     &   , N_BAND_CONTINUUM(NPD_BAND)
!             NUMBER OF CONTINUA IN BANDS
     &   , INDEX_CONTINUUM(NPD_BAND, NPD_CONTINUUM)
!             INDICES OF CONTINUA
     &   , I_LIST(NPD_CONTINUUM)
!             INDICES FOR ONE BAND
!
!
      INCLUDE 'incl/continuum_names.dcf'
      DATA PROMPT/'TYPE NUMBERS OF CONTINUA IN BAND '/
!
!
!
!     OBTAIN THE INPUT DATA.
      WRITE(IU_USER, '(//A)')
     &   'FOR EACH BAND, SPECIFY THE TYPES OF THE CONTINUUM ABSORBERS '
      WRITE(IU_USER, '(A)')
     &   'ACTIVE IN THAT BAND.'
      WRITE(IU_USER, '(A/, A/)')
     &   'TO CONTINUE INPUT ON THE NEXT LINE TERMINATE THE LINE'
     &   , 'WITH AN &.'
      WRITE(IU_USER, '(A)') 'THE CONTINUUM TYPES SUPPORTED ARE:'
      DO I=1, NPD_CONTINUUM
         WRITE(IU_USER, '(6X, I5, A2, A20)') I, ': '
     &      , NAME_CONTINUUM(I)
      ENDDO
      WRITE(IU_USER, '(/A/)')
     &   'ENTER "0" IF THERE IS NO CONTINUUM ABSORPTION IN THE BAND.'
      DO I=1, N_BAND
1        CALL READ_LINE(IERR, I, PROMPT, NPD_CONTINUUM
     &      , NPD_CONTINUUM, N_BAND_CONTINUUM(I), I_LIST)
         IF (IERR.NE.I_NORMAL) RETURN
         DO J=1, N_BAND_CONTINUUM(I)
            INDEX_CONTINUUM(I, J)=I_LIST(J)
            IF ( INDEX_CONTINUUM(I, J).EQ.-1) THEN
               WRITE(IU_ERR, '(/A)')
     &            '+++ ERRONEOUS INPUT:  A CONTINUUM ABSORBER HAS BEEN '
               WRITE(IU_ERR, '(A)')
     &            'SPECIFIED WHICH IS NOT KNOWN.'
               IF (LOCK_CODE(.TRUE.)) THEN
                  INCLUDE 'batch_error.finc'
               ELSE
                  WRITE(IU_ERR, '(A/)') 'PLEASE RE-SPECIFY.'
                  GOTO 1
               ENDIF
            ENDIF
         ENDDO
      ENDDO
!
!
!
      RETURN
      END
